<?php
/**
 * Hostby Theme Customizer
 *
*/

function hostby_customize_register( $wp_customize ) {

	// Hostby theme choice options
	if (!function_exists('hostby_section_choice_option')) :
		function hostby_section_choice_option()
		{
			$hostby_section_choice_option = array(
				'show' => esc_html__('Show', 'hostby'),
				'hide' => esc_html__('Hide', 'hostby')
			);
			return apply_filters('hostby_section_choice_option', $hostby_section_choice_option);
		}
	endif;
	
	/**
	 * Sanitizing the select callback example
	 *
	 */
	if ( !function_exists('hostby_sanitize_select') ) :
		function hostby_sanitize_select( $input, $setting ) {

			// Ensure input is a slug.
			$input = sanitize_text_field( $input );

			// Get list of choices from the control associated with the setting.
			$choices = $setting->manager->get_control( $setting->id )->choices;

			// If the input is a valid key, return it; otherwise, return the default.
			return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
		}
	endif;

	 
	function hostby_sanitize_dropdown_pages( $page_id, $setting ) {
		// Ensure $input is an absolute integer.
		$page_id = absint( $page_id );
		
		// If $page_id is an ID of a published page, return it; otherwise, return the default.
		return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
	}

 
	
	/**
	 * Important Link
	*/
	 class hostby_theme_info_text extends WP_Customize_Control{
        public function render_content(){  ?>
            <span class="customize-control-title">
                <?php echo esc_html( $this->label ); ?>
            </span>
            <?php if($this->description){ ?>
                <span class="description customize-control-description">
                <?php echo wp_kses_post($this->description); ?>
                </span>
            <?php }
        }
    }
	
	$feature1 = esc_html__('3 Home Pages','hostby');
	$feature2 = esc_html__('25+ Page Layout','hostby');
	$feature3 = esc_html__('One Click Demo Import','hostby');
	$feature4 = esc_html__('Unlimited Inbuilt sliders','hostby');
	$feature5 = esc_html__('Contact Form 7','hostby');
	$feature6 = esc_html__('Advanced Typography','hostby');
	$feature7 = esc_html__('500+ google fonts','hostby');
	$feature8 = esc_html__('Background configuration','hostby');
	$feature9 = esc_html__('Pricing Table','hostby');
	$feature10 = esc_html__('Highly configurable home page','hostby');
	$feature11 = esc_html__('Over 2500 icons','hostby');
	$feature12 = esc_html__('Unlimited Teams with detail','hostby');
	$feature13 = esc_html__('Unlimited Services','hostby');
	$feature14 = esc_html__('Unlimited projects','hostby');
	$feature15 = esc_html__('Masonry projects layout','hostby');
	$feature16 = esc_html__('Breadcrumbs Settings','hostby');
	$feature17 = esc_html__('15+ Shortcodes','hostby');
	$feature18 = esc_html__('Four different blog layouts','hostby');
	$feature19 = esc_html__('Boxed Layout','hostby');
	$feature20 = esc_html__('Responsive retina ready theme','hostby');
	$feature21 = esc_html__('3 Page layouts (right sidebar, left sidebar, full width)','hostby');
	$feature22 = esc_html__('Responsive retina ready theme','hostby');
	$feature23 = esc_html__('Fully SEO optimized (schema)','hostby');
	$feature24 = esc_html__('Fast loading','hostby');
	$feature25 = esc_html__('Premium Priority Support','hostby');
	$feature26 = esc_html__('A perfect theme to start your Hoting Business website of any kind !!!','hostby');
	
	$wp_customize->add_section( 'hostby_implink_section', array(
	  'title'       => esc_html__( 'Important Links', 'hostby' ),
	  'priority'      => 200
	) );

	    $wp_customize->add_setting( 'hostby_imp_links', array(
	      'sanitize_callback' => 'hostby_text_sanitize'
	    ));

	    $wp_customize->add_control( new hostby_theme_info_text( $wp_customize,'hostby_imp_links', array(
	        'settings'    => 'hostby_imp_links',
	        'section'   => 'hostby_implink_section',
	        'description' => '<a class="implink" href="http://gurutemplate.com/docs/hostby-doc/index.html" target="_blank">'.esc_html__('Documentation', 'hostby').'</a><a class="implink" href="http://gurutemplate.com/hostby/" target="_blank">'.esc_html__('Live Demo', 'hostby').'</a><a class="implink" href="https://wordpress.org/support/theme/hostby" target="_blank">'.esc_html__('Support Forum', 'hostby').'</a>',
	      )
	    ));

	    $wp_customize->add_setting( 'hostby_rate_us', array(
	      'sanitize_callback' => 'hostby_text_sanitize'
	    ));

	    $wp_customize->add_control( new hostby_theme_info_text( $wp_customize, 'hostby_rate_us', array(
	          'settings'    => 'hostby_rate_us',
	          'section'   => 'hostby_implink_section',
	          'description' => sprintf(__( 'Please do rate our theme if you liked it %1$s', 'hostby'), '<a class="implink" href="https://wordpress.org/support/theme/hostby/reviews/?filter=5" target="_blank">'.esc_html__('Rate/Review','hostby').'</a>' ),
	        )
	    ));

	    
	
	// Top Line Layout
    $wp_customize->add_section('hostby_header_section', 
    	array(
		    'title'   => esc_html__('Top Line Layout', 'hostby'),
		    'description' => '',
		    'priority'    => 2
        )
    );
	
    $wp_customize->add_setting('hostby_header_phone_value', 
    	array(
		    'default'   => '',
		    'type'      => 'theme_mod',
		    'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control('hostby_header_phone_value', 
    	array(
		    'label'   => esc_html__('Contact Number', 'hostby'),
		    'section' => 'hostby_header_section',
		    'priority'  => 3
        )
    );

    $wp_customize->add_setting('hostby_header_social_link_1', 
    	array(
		    'default'   =>  '',
		    'type'      => 'theme_mod',
		    'sanitize_callback' => 'esc_url_raw'
        )
    );

    $wp_customize->add_control('hostby_header_social_link_1', 
    	array(
		    'label'   => esc_html__('Facebook URL', 'hostby'),
		    'section' => 'hostby_header_section',
		    'priority'  => 7
        )
    );

	$wp_customize->add_setting('hostby_header_social_link_2', 
		array(
		    'default'   => '',
		    'type'      => 'theme_mod',
			'sanitize_callback' => 'esc_url_raw'
        )
	);

    $wp_customize->add_control('hostby_header_social_link_2', 
    	array(
		    'label'   => esc_html__('Twitter URL', 'hostby'),
		    'section' => 'hostby_header_section',
		    'priority'  => 9
        )
    );

    $wp_customize->add_setting('hostby_header_social_link_3',
        array(
		    'default'   => '',
		    'type'      => 'theme_mod',
		    'sanitize_callback' => 'esc_url_raw'
        )
    );

    $wp_customize->add_control('hostby_header_social_link_3', 
    	array(
		    'label'   => esc_html__('Linkedin URL', 'hostby'),
		    'section' => 'hostby_header_section',
		    'priority'  => 11
        )
    );

    $wp_customize->add_setting('hostby_header_social_link_4',
        array(
		    'default'   => '',
		    'type'      => 'theme_mod',
		    'sanitize_callback' => 'esc_url_raw'
        )
    );

    $wp_customize->add_control('hostby_header_social_link_4', 
    	array(
		    'label'   => esc_html__('Instagram URL', 'hostby'),
		    'section' => 'hostby_header_section',
		    'priority'  => 11
        )
    );


	$wp_customize->add_panel('frontpage', 
	    array(
            'title' => esc_html__('Theme Options Panel', 'hostby'),        
			'description' => '',                                        
			'priority' => 3,
		)
	);

    $wp_customize->add_section('sliderinfo', 
        array(
	        'title'   => esc_html__('Slider Section', 'hostby'),
	        'description' => '',
		    'panel' => 'frontpage',
	        'priority'    => 140
        )
    );

	
    $slider_no = 3;
	for( $i = 1; $i <= $slider_no; $i++ ) {
		$hostby_slider_page =   'hostby_slider_page_' .$i;
		$hostby_slider_btntxt = 'hostby_slider_btntxt_' . $i;
		$hostby_slider_btnurl = 'hostby_slider_btnurl_' .$i;
		 

		$wp_customize->add_setting( $hostby_slider_page,
			array(
				'default'           => 1,
				'sanitize_callback' => 'hostby_sanitize_dropdown_pages',
			)
		);

		$wp_customize->add_control( $hostby_slider_page,
			array(
				'label'    			=> esc_html__( 'Slider Number ', 'hostby' ) .$i,
				'section'  			=> 'sliderinfo',
				'type'     			=> 'dropdown-pages',
				'priority' 			=> 100,
			)
		);

		$wp_customize->add_setting( $hostby_slider_btntxt,
			array(
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control( $hostby_slider_btntxt,
			array(
				'label'    			=> esc_html__( 'Slider Button Text','hostby' ),
				'section'  			=> 'sliderinfo',
				'type'     			=> 'text',
				'priority' 			=> 100,
			)
		);
		
		$wp_customize->add_setting( $hostby_slider_btnurl,
			array(
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
			)
		);

		$wp_customize->add_control( $hostby_slider_btnurl,
			array(
				'label'    			=> esc_html__( 'Button URL', 'hostby' ),
				'section'  			=> 'sliderinfo',
				'priority' 			=> 100,
			)
		);
    }
    /** Slider Section Settings end **/

    //  Services section
	$wp_customize->add_section('services',              
		array(
			'title' => esc_html__('Service Section', 'hostby'),          
			'description' => '',             
			'panel' => 'frontpage',		 
			'priority' => 150,
		)
	);
		
	$wp_customize->add_setting('hostby_services_section_hideshow',
	    array(
	        'default' => 'hide',
	        'sanitize_callback' => 'hostby_sanitize_select',
	    )
    );

    $hostby_services_section_hide_show_option = hostby_section_choice_option();

    $wp_customize->add_control('hostby_services_section_hideshow',
		array(
		    'type' => 'radio',
		    'label' => esc_html__('Services Option', 'hostby'),
		    'description' => esc_html__('Show/hide option Section.', 'hostby'),
		    'section' => 'services',
		    'choices' => $hostby_services_section_hide_show_option,
		    'priority' => 1
		)
	);
    // services title
    $wp_customize->add_setting('hostby-services_title', 
    	array(
		    'default'   => '',
		    'type'      => 'theme_mod',
		    'sanitize_callback'	=> 'sanitize_text_field'
        )
    );

    $wp_customize->add_control('hostby-services_title', 
    	array(
		    'label'   => esc_html__('Service Section Title', 'hostby'),
		    'section' => 'services',
		    'priority'  => 3
        )
    );

    $wp_customize->add_setting(
		'hostby-services_subtitle',
		array(
			'default'   => '',
			'type'      => 'theme_mod',
			'sanitize_callback'	=> 'sanitize_text_field'
		)
	);

    $wp_customize->add_control(
		'hostby-services_subtitle',
		array(
			'label'   => esc_html__('Service Section Subtitle', 'hostby'),
			'section' => 'services',	  
			'priority'  => 4
		)
	);
	
    $services_no = 6;
	for( $i = 1; $i <= $services_no; $i++ ) {
		$hostby_servicespage = 'hostby_services_page_' . $i;
		
		$wp_customize->add_setting( $hostby_servicespage,
			array(
				'default'           => 1,
				'sanitize_callback' => 'hostby_sanitize_dropdown_pages',
			)
		);

		$wp_customize->add_control( $hostby_servicespage,
			array(
				'label'    			=> esc_html__( 'Services Page ', 'hostby' ) .$i,
				'section'  			=> 'services',
				'type'     			=> 'dropdown-pages',
				'priority' 			=> 100,
			)
		);
    }
    
   
	$wp_customize->add_section('projects',              
		array(
			'title' => esc_html__('Project Section', 'hostby'),          
			'description' => '',             
			'panel' => 'frontpage',		 
			'priority' => 160,
		)
	);
		
	$wp_customize->add_setting('hostby_projects_section_hideshow',
	    array(
	        'default' => 'hide',
	        'sanitize_callback' => 'hostby_sanitize_select',
	    )
    );

    $hostby_projects_section_hide_show_option = hostby_section_choice_option();

    $wp_customize->add_control('hostby_projects_section_hideshow',
		array(
		    'type' => 'radio',
		    'label' => esc_html__('Projects Option', 'hostby'),
		    'description' => esc_html__('Show/hide option Section.', 'hostby'),
		    'section' => 'projects',
		    'choices' => $hostby_projects_section_hide_show_option,
		    'priority' => 1
		)
	);
   
    $wp_customize->add_setting('hostby-projects_title', 
    	array(
		    'default'   => '',
		    'type'      => 'theme_mod',
		    'sanitize_callback'	=> 'sanitize_text_field'
        )
    );

    $wp_customize->add_control('hostby-projects_title', 
    	array(
		    'label'   => esc_html__('Projects Section Title', 'hostby'),
		    'section' => 'projects',
		    'priority'  => 3
        )
    );
	
    $projects_no = 6;
	for( $i = 1; $i <= $projects_no; $i++ ) {
		$hostby_projectspage = 'hostby_projects_page_' . $i;
		
		$wp_customize->add_setting( $hostby_projectspage,
			array(
				'default'           => 1,
				'sanitize_callback' => 'hostby_sanitize_dropdown_pages',
			)
		);

		$wp_customize->add_control( $hostby_projectspage,
			array(
				'label'    			=> esc_html__( 'Projects Page ', 'hostby' ) .$i,
				'section'  			=> 'projects',
				'type'     			=> 'dropdown-pages',
				'priority' 			=> 100,
			)
		);
    }

  
	$wp_customize->add_section('hostby-blog_info', 
		array(
		    'title'   => esc_html__('Blog Section', 'hostby'),
		    'description' => '',
			'panel' => 'frontpage',
		    'priority'    => 170
        )
	);
	
	$wp_customize->add_setting('hostby_blog_section_hideshow',
	    array(
	        'default' => 'show',
	        'sanitize_callback' => 'hostby_sanitize_select',
	    )
	);
    
    $hostby_blog_section_hide_show_option = hostby_section_choice_option();
    
    $wp_customize->add_control('hostby_blog_section_hideshow',
	    array(
	        'type' => 'radio',
	        'label' => esc_html__('Blog Option', 'hostby'),
	        'description' => esc_html__('Show/hide option for Blog Section.', 'hostby'),
	        'section' => 'hostby-blog_info',
	        'choices' => $hostby_blog_section_hide_show_option,
	        'priority' => 1
	    )
    );
	
	$wp_customize->add_setting('hostby_blog_title', 
		array(
		    'default'   => '',
		    'type'      => 'theme_mod',
			'sanitize_callback'	=> 'sanitize_text_field'
        )
	);

    $wp_customize->add_control('hostby_blog_title', 
    	array(
            'label'   => esc_html__('Blog Title', 'hostby'),
            'section' => 'hostby-blog_info',
            'priority'  => 1
        )
    );
    
	$wp_customize->add_section(
		'clients_logo', 
		array(
			'title'   => esc_html__('Clients logo Section', 'hostby'),
			'description' => '',
			'panel' => 'frontpage', 
			'priority'        => 170
		)
	);

	$wp_customize->add_setting(
		'hostby_clients_section_hideshow',
		array(
			'default' => 'hide',
			'sanitize_callback' => 'hostby_sanitize_select',
		)
	);

	$hostby_section_choice_option = hostby_section_choice_option();
	$wp_customize->add_control(
		'hostby_clients_section_hideshow',
		array(
			'type' => 'radio',
			'label' => esc_html__('Clients-logo', 'hostby'),
			'description' => esc_html__('Show/hide option for Clients-logo Section.', 'hostby'),
			'section' => 'clients_logo',
			'choices' => $hostby_section_choice_option,
			'priority' => 5
		)
	);

	$client_no = 6;
	for( $i = 1; $i <= $client_no; $i++ ) 
	{
		$hostby_client_logo = 'hostby_client_logo_' . $i;   

		$wp_customize->add_setting( 
			$hostby_client_logo,
			array(
				'default'           => 1,
				'sanitize_callback' => 'hostby_sanitize_dropdown_pages',
			)
		);
		$wp_customize->add_control( 
			$hostby_client_logo,
			array(
				'label'    			=> esc_html__( 'Client Page ', 'hostby' ) .$i,
				'section'  			=> 'clients_logo',
				'type'     			=> 'dropdown-pages',
				'priority' 			=> 100,
			)
		);

	}
   
    $wp_customize->add_section('hostby_footer_contact', 
    	array(
		    'title'   => esc_html__('Callout Section', 'hostby'),
		    'description' => '',
		    'panel' => 'frontpage',
		    'priority'    => 170
        )
    );
	
	$wp_customize->add_setting('hostby_contact_section_hideshow',
	    array(
	        'default' => 'hide',
	        'sanitize_callback' => 'hostby_sanitize_select',
	    )
    );

    $hostby_contact_s_hideshow = hostby_section_choice_option();
    
    $wp_customize->add_control('hostby_contact_section_hideshow',
		array(
	        'type' => 'radio',
	        'label' => esc_html__('Footer Callout', 'hostby'),
	        'description' => esc_html__('Show/hide option for Footer Callout Section.', 'hostby'),
	        'section' => 'hostby_footer_contact',
	        'choices' => $hostby_contact_s_hideshow,
	        'priority' => 5
		)
	);

	$wp_customize->add_setting('co_heading', 
		array(
		    'default'   => '',
		    'type'      => 'theme_mod',
			'sanitize_callback'	=> 'sanitize_text_field'
        )
	);

    $wp_customize->add_control('co_heading', 
    	array(
		    'label'   => esc_html__('Callout Text', 'hostby'),
		    'section' => 'hostby_footer_contact',
		    'priority'  => 8
        )
    );

    $wp_customize->add_setting('co_btn_url', 
    	array(
		    'default'   =>'',
		    'type'      => 'theme_mod',
		    'sanitize_callback'	=> 'esc_url_raw'
        )
    );

    $wp_customize->add_control('co_btn_url', 
    	array(
		    'label'   => esc_html__('Button URL', 'hostby'),
		    'section' => 'hostby_footer_contact',
		    'priority'  => 10
        )
    );

    $wp_customize->add_setting('co_btn_text', 
    	array(
		    'default'   => '',
		    'type'      => 'theme_mod',
		    'sanitize_callback'	=> 'sanitize_text_field'
        )
    );

    $wp_customize->add_control('co_btn_text', 
    	array(
		    'label'   => esc_html__('Button Text', 'hostby'),
		    'section' => 'hostby_footer_contact',
		    'priority'  => 12
        )
    );
 
	
    $wp_customize->add_section('hostby-footer_info', 
    	array(
		    'title'   => esc_html__('Footer Section', 'hostby'),
		    'description' => '',
		    'panel' => 'frontpage',
		    'priority'    => 170
        )
    );
	
	$wp_customize->add_setting('hostby_footer_section_hideshow',
	    array(
	        'default' => 'show',
	        'sanitize_callback' => 'hostby_sanitize_select',
	    )
    );
    
    $hostby_footer_section_hide_show_option = hostby_section_choice_option();
    
    $wp_customize->add_control('hostby_footer_section_hideshow',
	    array(
	        'type' => 'radio',
	        'label' => esc_html__('Footer Widget Panel', 'hostby'),
	        'description' => esc_html__('Show/hide option for Footer Section.', 'hostby'),
	        'section' => 'hostby-footer_info',
	        'choices' => $hostby_footer_section_hide_show_option,
	        'priority' => 1
	    )
    );

	

	
	 
}
add_action( 'customize_register', 'hostby_customize_register' );

